<?php

$trackinginfo;

try {
    if (!empty($VARS["carrier"])) {
        $trackinginfo = Tracking::track($VARS["code"], $VARS["carrier"]);
    } else {
        $trackinginfo = Tracking::track($VARS["code"]);
    }
} catch (TrackingException $ex) {
    sendJsonResp($ex->getMessage(), "ERROR");
}

if (is_null($trackinginfo)) {
    sendJsonResp("Could not find any results for that tracking code.", "ERROR");
}
exitWithJson($trackinginfo->toObject());